<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\Organization;

use Dedi\SyliusCustomerPricingPlugin\Entity\Customer\OrganizationInterface;
use Dedi\SyliusCustomerPricingPlugin\Enum\ChannelPricingType;

trait OrganizationChannelPricingTrait
{
    public function getOrganization(): ?OrganizationInterface
    {
        return $this->organization;
    }

    public function setOrganization(?OrganizationInterface $organization = null): self
    {
        $this->organization = $organization;

        return $this;
    }

    public static function getType(): string
    {
        return ChannelPricingType::ORGANIZATION->value;
    }
}
