<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Entity\Customer\Trait;

use Dedi\SyliusCustomerPricingPlugin\Entity\Customer\OrganizationInterface;

trait OrganizationAwareTrait
{
    public function getOrganization(): ?OrganizationInterface
    {
        return $this->organization;
    }

    public function setOrganization(?OrganizationInterface $organization = null): self
    {
        $this->organization = $organization;

        return $this;
    }
}
