<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusCustomerPricingPlugin\Application\src\Entity;

use Dedi\SyliusCustomerPricingPlugin\Entity\Customer\Trait\OrderOrganizationAwareTrait;
use Dedi\SyliusCustomerPricingPlugin\Entity\OrderInterface;
use Doctrine\ORM\Mapping as ORM;
use Sylius\Component\Core\Model\Order as BaseOrder;


/**
 * @ORM\Entity
 *
 * @ORM\Table(name="sylius_order")
 */
class Order extends BaseOrder implements OrderInterface
{
    use OrderOrganizationAwareTrait;
}
