<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusCustomerPricingPlugin\Application\src\Factory;

use Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\Customer\CustomerChannelPricingInterface;
use Dedi\SyliusCustomerPricingPlugin\Factory\CustomerChannelPricingFactory as BaseCustomerChannelPricingFactory;
use Tests\Dedi\SyliusCustomerPricingPlugin\Application\src\Entity\CustomerChannelPricing;

class CustomerChannelPricingFactory extends BaseCustomerChannelPricingFactory
{
    public function createNew(): CustomerChannelPricingInterface
    {
        return new CustomerChannelPricing();
    }
}
