<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Factory;

use Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\Customer\CustomerChannelPricing;
use Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\Customer\CustomerChannelPricingInterface;

class CustomerChannelPricingFactory implements CustomerChannelPricingFactoryInterface
{
    public function createNew(): CustomerChannelPricingInterface
    {
        return new CustomerChannelPricing();
    }
}
